import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService } from '../../shared/base-api-template-service.model';
import { ApiVisa } from '../../shared/api-visa.model';
export declare class PaymentVoucherImportFileService extends BaseApiTemplateService<any> {
    readonly url: string;
    download_sample_path: string;
    constructor(http: HttpClient);
    uploadImportFile(formData: FormData, fileType: string, visa: ApiVisa): import("rxjs").Observable<Object>;
    downloadSampleCSV(apiVisa: ApiVisa): import("rxjs").Observable<Object>;
}
